# KDE User's Manual

&Lauri.Watts; &Lauri.Watts.mail;
Jun 7, 2005
K Desktop Environment
kdesu
1

# `kdesu`

Runs a program with elevated privileges

    kdesu

    -c
    -d
    -f  file
    -i  icon name
    -n
    -p  priority
    -r
    -s
    -t
    -u
    user
    --nonewdcop

    command arg1
    	  arg2

    kdesu
    KDE Generic Options
    Qt Generic Options

## Description

&kdesu; is a graphical front end for the &UNIX; `su` command for the K Desktop Environment. It allows you to run a program as different user by supplying the password for that user. &kdesu; is an unprivileged program; it uses the system's `su`.

&kdesu; has one additional feature: it can optionally remember passwords for you. If you are using this feature, you only need to enter the password once for each command.

This program is meant to be started from the command line or from `.desktop` files.

## Options

`-c program`

  This specifies the program to run as root. It has to be passed in one argument. So if, for example, you want to start a new file manager, you would enter at the prompt: ``kdesu `-c kfm -sw```

`-d`

  Show debug information.

`-f file`

  This option allow efficient use of &kdesu; in `.desktop` files. It tells &kdesu; to examine the file specified by `file`. If this file is writable by the current user, &kdesu; will execute the command as the current user. If it is not writable, the command is executed as user `user` (defaults to root).

  `file` is evaluated like this: if `file` starts with a `/`, it is taken as an absolute filename. Otherwise, it is taken as the name of a global &kde; configuration file. For example: to configure the K display manager, kdm, you could issue `kdesu `-c kdmconfig -f kdmrc``

`-i` icon name

  Specify icon to use in the password dialog. You may specify just the name, without any extension.

`-n`

  Do not keep the password. This disables the keep password checkbox in the password dialog.

`-p` priority

  Set priority value. The priority is an arbitrary number between 0 and 100, where 100 means highest priority, and 0 means lowest. The default is 50.

`-r`

  Use realtime scheduling.

`-s`

  Stop the kdesu daemon. This is the daemon that caches successful passwords in the background. This feature may also be disabled with `-n` when &kdesu; is initially run.

`-t`

  Enable terminal output. This disables password keeping. This is largely for debugging purposes; if you want to run a console mode app, use the standard `su` instead.

`-u` user

  While the most common use for &kdesu; is to run a command as the superuser, you can supply any user name and the appropriate password.

## See Also

su(1)

More detailed user documentation is available from help:/kdesu (either enter this URL into &konqueror;, or run ``khelpcenter` `help:/kdesu``).

## Examples

Run `kfmclient` as user jim, and show the &konqueror; icon in the password dialog:

    kdesu -u jim -i konqueror kfmclient

## Authors

&kdesu; was written by Geert Jansen jansen@kde.org and Pietro Iglio iglio@fub.it.